generic_pipe_buf_map
Prev | Chapter 7. pipes API | Next

## Name

generic_pipe_buf_map — virtually map a pipe buffer

## Synopsis

`void * generic_pipe_buf_map (` | struct pipe_inode_info * | pipe,
| struct pipe_buffer * | buf,
| int | atomic`)`;

## Arguments

`pipe`

  the pipe that the buffer belongs to

`buf`

  the buffer that should be mapped

`atomic`

  whether to use an atomic map

## Description

This function returns a kernel virtual address mapping for the pipe_buffer passed in `buf`. If `atomic` is set, an atomic map is provided and the caller has to be careful not to fault before calling the unmap function.

Note that this function occupies KM_USER0 if `atomic` != 0.

Prev | Up | Next
struct pipe_inode_info | Home | generic_pipe_buf_unmap